Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 1678303002: [es7] implement exponentiation operator proposal (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 5 months ago by caitp (gmail)
Modified:
1 year, 4 months ago
CC:
Michael Hablich, v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[es7] implement exponentiation operator proposal Implements Stage 4 proposal from http://rwaldron.github.io/exponentiation-operator/, without adding any knowledge of the feature to compiler backends. BUG=v8:3915 LOG=Y R=adamk@chromium.org, rossberg@chromium.org, littledan@chromium.org Committed: https://crrev.com/17c92fe6bb62e11a43ef8c77d26410407a9828b5 Cr-Commit-Position: refs/heads/master@{#34890}

Patch Set 1 #

Total comments: 4

Patch Set 2 : update webkit test expectations #

Total comments: 6

Patch Set 3 : Bit of cleanup + add parser tests #

Patch Set 4 : rebase #

Patch Set 5 : separate rewriting from constant folding #

Patch Set 6 : update to current spec text re: UpdateExpression #

Patch Set 7 : rebase it #

Patch Set 8 : rebashe #

Patch Set 9 : rebase #

Total comments: 4

Patch Set 10 : rebase #

Patch Set 11 : fixups #

Patch Set 12 : fix nits #

Patch Set 13 : Try to make MSVC happy #

Total comments: 5

Patch Set 14 : more detailed TODO(), some other SyntaxError test cases #

Total comments: 4

Patch Set 15 : Fix ordering bug, add more tests #

Total comments: 2

Patch Set 16 : #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+524 lines, -8 lines) Patch
M src/bootstrapper.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 2 chunks +2 lines, -0 lines 0 comments Download
M src/contexts.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +2 lines, -1 line 0 comments Download
M src/js/math.js View 1 2 3 4 5 6 7 8 10 11 12 13 14 1 chunk +4 lines, -0 lines 0 comments Download
M src/parsing/parser.h View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +10 lines, -0 lines 0 comments Download
M src/parsing/parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 5 chunks +75 lines, -0 lines 0 comments Download
M src/parsing/parser-base.h View 1 2 3 4 5 6 7 8 9 10 11 6 chunks +25 lines, -1 line 3 comments Download
M src/parsing/preparser.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +10 lines, -0 lines 0 comments Download
M src/parsing/scanner.h View 1 2 3 4 5 6 7 8 9 2 chunks +8 lines, -0 lines 0 comments Download
M src/parsing/scanner.cc View 2 chunks +10 lines, -2 lines 0 comments Download
M src/parsing/token.h View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
M test/cctest/test-parsing.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +95 lines, -0 lines 0 comments Download
A test/mjsunit/harmony/exponentiation-operator.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +278 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 33 (5 generated)
caitp (gmail)
after about a year since the last try, here's another (simpler) go at the latest ...
1 year, 5 months ago (2016-02-08 21:30:38 UTC) #1
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt File test/webkit/fast/js/parser-syntax-check-expected.txt (right): https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt#newcode61 test/webkit/fast/js/parser-syntax-check-expected.txt:61: FAIL Valid: "function f() { ++ -- ++ a ...
1 year, 5 months ago (2016-02-08 22:09:44 UTC) #2
Rick Waldron
On 2016/02/08 22:09:44, caitp wrote: > https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt > File test/webkit/fast/js/parser-syntax-check-expected.txt (right): > > https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt#newcode61 > ...
1 year, 5 months ago (2016-02-09 22:21:08 UTC) #3
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt File test/webkit/fast/js/parser-syntax-check-expected.txt (right): https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt#newcode61 test/webkit/fast/js/parser-syntax-check-expected.txt:61: FAIL Valid: "function f() { ++ -- ++ a ...
1 year, 5 months ago (2016-02-09 23:09:09 UTC) #4
caitp (gmail)
> I'm concerned with this: > > > Implements Stage 4 proposal from > http://rwaldron.github.io/exponentiation-operator/, ...
1 year, 5 months ago (2016-02-09 23:12:48 UTC) #5
Rick Waldron
On 2016/02/09 23:09:09, caitp wrote: > https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt > File test/webkit/fast/js/parser-syntax-check-expected.txt (right): > > https://codereview.chromium.org/1678303002/diff/20001/test/webkit/fast/js/parser-syntax-check-expected.txt#newcode61 > ...
1 year, 5 months ago (2016-02-09 23:34:32 UTC) #6
caitp (gmail)
On 2016/02/09 23:34:32, Rick Waldron wrote: > On 2016/02/09 23:09:09, caitp wrote: > > > ...
1 year, 5 months ago (2016-02-09 23:37:28 UTC) #7
Rick Waldron
On 2016/02/09 23:12:48, caitp wrote: > > I'm concerned with this: > > > > ...
1 year, 5 months ago (2016-02-09 23:53:36 UTC) #8
Dan Ehrenberg
https://codereview.chromium.org/1678303002/diff/1/src/contexts.h File src/contexts.h (left): https://codereview.chromium.org/1678303002/diff/1/src/contexts.h#oldcode98 src/contexts.h:98: Change needed? https://codereview.chromium.org/1678303002/diff/1/src/parsing/token.h File src/parsing/token.h (left): https://codereview.chromium.org/1678303002/diff/1/src/parsing/token.h#oldcode174 src/parsing/token.h:174: Why ...
1 year, 5 months ago (2016-02-11 08:16:50 UTC) #9
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/20001/src/parsing/parser-base.h File src/parsing/parser-base.h (right): https://codereview.chromium.org/1678303002/diff/20001/src/parsing/parser-base.h#newcode2245 src/parsing/parser-base.h:2245: // somehow On 2016/02/11 08:16:50, Dan Ehrenberg wrote: > ...
1 year, 5 months ago (2016-02-11 12:57:24 UTC) #10
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/20001/src/parsing/parser-base.h File src/parsing/parser-base.h (right): https://codereview.chromium.org/1678303002/diff/20001/src/parsing/parser-base.h#newcode2245 src/parsing/parser-base.h:2245: // somehow On 2016/02/11 12:57:24, caitp wrote: > On ...
1 year, 5 months ago (2016-02-11 15:32:34 UTC) #11
caitp (gmail)
(Verified this morning): This CL currently passes all of the new test262 tests introduced in ...
1 year, 5 months ago (2016-02-25 15:12:28 UTC) #13
Dan Ehrenberg
Glad to see it passes the tests; just a couple comments. https://codereview.chromium.org/1678303002/diff/180001/src/parsing/parser.cc File src/parsing/parser.cc (right): ...
1 year, 5 months ago (2016-02-25 19:17:41 UTC) #14
caitp (gmail)
addressed, sorry it took so long @_@ https://codereview.chromium.org/1678303002/diff/180001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1678303002/diff/180001/src/parsing/parser.cc#newcode5641 src/parsing/parser.cc:5641: if (op ...
1 year, 4 months ago (2016-03-11 15:54:19 UTC) #15
Dan Ehrenberg
Looks pretty good, just a couple more comments https://codereview.chromium.org/1678303002/diff/260001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1678303002/diff/260001/src/parsing/parser.cc#newcode5494 src/parsing/parser.cc:5494: // ...
1 year, 4 months ago (2016-03-14 20:48:46 UTC) #17
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/260001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1678303002/diff/260001/src/parsing/parser.cc#newcode5494 src/parsing/parser.cc:5494: // backend support for exponent op, some day On ...
1 year, 4 months ago (2016-03-14 21:05:14 UTC) #18
Dan Ehrenberg
Sorry I didn't say before, but there are a few other places where you could ...
1 year, 4 months ago (2016-03-14 21:13:25 UTC) #19
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/280001/test/cctest/test-parsing.cc File test/cctest/test-parsing.cc (right): https://codereview.chromium.org/1678303002/diff/280001/test/cctest/test-parsing.cc#newcode7339 test/cctest/test-parsing.cc:7339: "x-- ** 10", On 2016/03/14 21:13:25, Dan Ehrenberg wrote: ...
1 year, 4 months ago (2016-03-14 22:52:12 UTC) #20
Dan Ehrenberg
https://codereview.chromium.org/1678303002/diff/300001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1678303002/diff/300001/src/parsing/parser.cc#newcode5494 src/parsing/parser.cc:5494: // avoid ToNumber() when possible (the common cases). Please ...
1 year, 4 months ago (2016-03-15 01:00:57 UTC) #21
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/300001/src/parsing/parser.cc File src/parsing/parser.cc (right): https://codereview.chromium.org/1678303002/diff/300001/src/parsing/parser.cc#newcode5494 src/parsing/parser.cc:5494: // avoid ToNumber() when possible (the common cases). On ...
1 year, 4 months ago (2016-03-15 01:03:05 UTC) #22
Dan Ehrenberg
lgtm
1 year, 4 months ago (2016-03-15 01:04:01 UTC) #23
caitp (gmail)
On 2016/03/15 01:04:01, Dan Ehrenberg wrote: > lgtm I'll give people a day or 2 ...
1 year, 4 months ago (2016-03-15 01:06:49 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1678303002/320001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1678303002/320001
1 year, 4 months ago (2016-03-18 13:29:38 UTC) #26
commit-bot: I haz the power
Committed patchset #16 (id:320001)
1 year, 4 months ago (2016-03-18 13:54:00 UTC) #27
commit-bot: I haz the power
Patchset 16 (id:??) landed as https://crrev.com/17c92fe6bb62e11a43ef8c77d26410407a9828b5 Cr-Commit-Position: refs/heads/master@{#34890}
1 year, 4 months ago (2016-03-18 13:54:12 UTC) #29
nickie
https://codereview.chromium.org/1678303002/diff/320001/src/parsing/parser-base.h File src/parsing/parser-base.h (right): https://codereview.chromium.org/1678303002/diff/320001/src/parsing/parser-base.h#newcode141 src/parsing/parser-base.h:141: #undef ALLOW_ACCESSORS Shouldn't there be an #undef SCANNER_ACCESSORS here?
1 year, 4 months ago (2016-03-21 08:51:49 UTC) #31
caitp (gmail)
https://codereview.chromium.org/1678303002/diff/320001/src/parsing/parser-base.h File src/parsing/parser-base.h (right): https://codereview.chromium.org/1678303002/diff/320001/src/parsing/parser-base.h#newcode141 src/parsing/parser-base.h:141: #undef ALLOW_ACCESSORS Yes, there should! I'm surprised this doesn't ...
1 year, 4 months ago (2016-03-21 10:44:17 UTC) #32
caitp (gmail)
1 year, 4 months ago (2016-03-21 10:50:03 UTC) #33
Message was sent while issue was closed.
https://codereview.chromium.org/1678303002/diff/320001/src/parsing/parser-base.h
File src/parsing/parser-base.h (right):

https://codereview.chromium.org/1678303002/diff/320001/src/parsing/parser-bas...
src/parsing/parser-base.h:141: #undef ALLOW_ACCESSORS
On 2016/03/21 10:44:17, caitp wrote:
> Yes, there should! I'm surprised this doesn't trigger -Wmacro-redefined

well, I guess I used a different name in scanner.h, so it's harmless enough ---
there's a CL up to fix it though
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973